--- old/usr/src/cmd/zic/zone_sun.tab	Mon Apr 18 16:51:06 2016
+++ new/usr/src/cmd/zic/zone_sun.tab	Mon Apr 18 16:51:06 2016
@@ -3,9 +3,9 @@
 # This file is in the public domain, so clarified as of
 # 2009-05-17 by Arthur David Olson.
 #
-# TZ zone descriptions
 #
-# From Paul Eggert (1996-08-05):
+# NOTE -- This is the special SunOS version of zone.tab, which is used
+# by libzoneinfo in some illumos distros' installer software.
 #
 # This file contains a table with the following columns:
 # 1.  ISO 3166 2-character country code.  See the file `iso3166.tab'.
@@ -14,8 +14,12 @@
 #     either +-DDMM+-DDDMM or +-DDMMSS+-DDDMMSS,
 #     first latitude (+ is north), then longitude (+ is east).
 # 3.  Zone name used in value of TZ environment variable.
-# 4.  Comments; present if and only if the country has multiple rows.
+# 4.  Canonical timezone name (now deprecated by the hardlinks in the real
+#     zoneinfo), or a '-' if not needed.
+# 5.  Comments; present if and only if the country has multiple rows.
 #
+# This file can go away once libzoneinfo is deprecated.
+#
 # Columns are separated by a single tab.
 # The table is sorted first by country, then an order within the country that
 # (1) makes some geographical sense, and
@@ -33,22 +37,22 @@
 AL	+4120+01950	Europe/Tirane	-
 AM	+4011+04430	Asia/Yerevan	-
 AO	-0848+01314	Africa/Luanda	-
-AQ	-7750+16636	Antarctica/McMurdo	New Zealand time - McMurdo, South Pole
-AQ	-6617+11031	Antarctica/Casey	Casey
-AQ	-6835+07758	Antarctica/Davis	Davis
-AQ	-6640+14001	Antarctica/DumontDUrville	Dumont-d'Urville
-AQ	-6736+06253	Antarctica/Mawson	Mawson
-AQ	-6448-06406	Antarctica/Palmer	Palmer
-AQ	-6734-06808	Antarctica/Rothera	Rothera
-AQ	-690022+0393524	Antarctica/Syowa	Syowa
-AQ	-720041+0023206	Antarctica/Troll	Troll
-AQ	-7824+10654	Antarctica/Vostok	Vostok
-AR	-3436-05827	America/Argentina/Buenos_Aires	America/Buenos_Aires	Buenos Aires (BA, CF)
-AR	-3124-06411	America/Argentina/Cordoba	Argentina (most areas: CB, CC, CN, ER, FM, MN, SE, SF)
-AR	-2447-06525	America/Argentina/Salta	Salta (SA, LP, NQ, RN)
+AQ	-7750+16636	Antarctica/McMurdo	-	New Zealand time - McMurdo, South Pole
+AQ	-6617+11031	Antarctica/Casey	-	Casey
+AQ	-6835+07758	Antarctica/Davis	-	Davis
+AQ	-6640+14001	Antarctica/DumontDUrville	-	Dumont-d'Urville
+AQ	-6736+06253	Antarctica/Mawson	-	Mawson
+AQ	-6448-06406	Antarctica/Palmer	-	Palmer
+AQ	-6734-06808	Antarctica/Rothera	-	Rothera
+AQ	-690022+0393524	Antarctica/Syowa	-	Syowa
+AQ	-720041+0023206	Antarctica/Troll	-	Troll
+AQ	-7824+10654	Antarctica/Vostok	-	Vostok
+AR	-3436-05827	America/Argentina/Buenos_Aires	-	America/Buenos_Aires	Buenos Aires (BA, CF)
+AR	-3124-06411	America/Argentina/Cordoba	-	Argentina (most areas: CB, CC, CN, ER, FM, MN, SE, SF)
+AR	-2447-06525	America/Argentina/Salta	-	Salta (SA, LP, NQ, RN)
 AR	-2411-06518	America/Argentina/Jujuy	America/Jujuy	Jujuy (JY)
 AR	-2649-06513	America/Argentina/Tucuman	-	Tucuman (TM)
-AR	-2828-06547	America/Argentina/Catamarca	Catamarca (CT); Chubut (CH)
+AR	-2828-06547	America/Argentina/Catamarca	America/Catamarca	Catamarca (CT); Chubut (CH)
 AR	-2926-06651	America/Argentina/La_Rioja	-	La Rioja (LR)
 AR	-3132-06831	America/Argentina/San_Juan	-	San Juan (SJ)
 AR	-3253-06849	America/Argentina/Mendoza	America/Mendoza	Mendoza (MZ)
@@ -59,17 +63,17 @@
 AT	+4813+01620	Europe/Vienna	-
 AU	-3133+15905	Australia/Lord_Howe	Australia/LHI	Lord Howe Island
 AU	-5430+15857	Antarctica/Macquarie	-	Macquarie Island
-AU	-4253+14719	Australia/Hobart	Tasmania (most areas)
-AU	-3956+14352	Australia/Currie	Tasmania (King Island)
+AU	-4253+14719	Australia/Hobart	-	Tasmania (most areas)
+AU	-3956+14352	Australia/Currie	-	Tasmania (King Island)
 AU	-3749+14458	Australia/Melbourne	Australia/Victoria	Victoria
-AU	-3352+15113	Australia/Sydney	New South Wales (most areas)
-AU	-3157+14127	Australia/Broken_Hill	New South Wales (Yancowinna)
-AU	-2728+15302	Australia/Brisbane	Queensland (most areas)
-AU	-2016+14900	Australia/Lindeman	Queensland (Whitsunday Islands)
+AU	-3352+15113	Australia/Sydney	-	New South Wales (most areas)
+AU	-3157+14127	Australia/Broken_Hill	-	New South Wales (Yancowinna)
+AU	-2728+15302	Australia/Brisbane	-	Queensland (most areas)
+AU	-2016+14900	Australia/Lindeman	-	Queensland (Whitsunday Islands)
 AU	-3455+13835	Australia/Adelaide	Australia/South	South Australia
 AU	-1228+13050	Australia/Darwin	Australia/North	Northern Territory
-AU	-3157+11551	Australia/Perth	Western Australia (most areas)
-AU	-3143+12852	Australia/Eucla	Western Australia (Eucla)
+AU	-3157+11551	Australia/Perth	-	Western Australia (most areas)
+AU	-3143+12852	Australia/Eucla	-	Western Australia (Eucla)
 AW	+1230-06958	America/Aruba	-
 AX	+6006+01957	Europe/Mariehamn	-
 AZ	+4023+04951	Asia/Baku	-
@@ -88,20 +92,20 @@
 BO	-1630-06809	America/La_Paz	-
 BQ	+120903-0681636	America/Kralendijk	-
 BR	-0351-03225	America/Noronha	Brazil/DeNoronha	Atlantic islands
-BR	-0127-04829	America/Belem	Para (east); Amapa
-BR	-0343-03830	America/Fortaleza	Brazil (northeast: MA, PI, CE, RN, PB)
+BR	-0127-04829	America/Belem	-	Para (east); Amapa
+BR	-0343-03830	America/Fortaleza	-	Brazil (northeast: MA, PI, CE, RN, PB)
 BR	-0803-03454	America/Recife	-	Pernambuco
 BR	-0712-04812	America/Araguaina	-	Tocantins
 BR	-0940-03543	America/Maceio	-	Alagoas, Sergipe
 BR	-1259-03831	America/Bahia	-	Bahia
-BR	-2332-04637	America/Sao_Paulo	Brazil (southeast: GO, DF, MG, ES, RJ, SP, PR, SC, RS)
+BR	-2332-04637	America/Sao_Paulo	-	Brazil (southeast: GO, DF, MG, ES, RJ, SP, PR, SC, RS)
 BR	-2027-05437	America/Campo_Grande	-	Mato Grosso do Sul
 BR	-1535-05605	America/Cuiaba	-	Mato Grosso
-BR	-0226-05452	America/Santarem	Para (west)
+BR	-0226-05452	America/Santarem	-	Para (west)
 BR	-0846-06354	America/Porto_Velho	-	Rondonia
 BR	+0249-06040	America/Boa_Vista	-	Roraima
-BR	-0308-06001	America/Manaus	Amazonas (east)
-BR	-0640-06952	America/Eirunepe	Amazonas (west)
+BR	-0308-06001	America/Manaus	-	Amazonas (east)
+BR	-0640-06952	America/Eirunepe	-	Amazonas (west)
 BR	-0958-06748	America/Rio_Branco	Brazil/Acre	Acre
 BS	+2505-07721	America/Nassau	-
 BT	+2728+08939	Asia/Thimphu	-
@@ -108,43 +112,43 @@
 BW	-2439+02555	Africa/Gaborone	-
 BY	+5354+02734	Europe/Minsk	-
 BZ	+1730-08812	America/Belize	-
-CA	+4734-05243	America/St_Johns	Newfoundland; Labrador (southeast)
-CA	+4439-06336	America/Halifax	Atlantic - NS (most areas); PE
-CA	+4612-05957	America/Glace_Bay	Atlantic - NS (Cape Breton)
-CA	+4606-06447	America/Moncton	Atlantic - New Brunswick
-CA	+5320-06025	America/Goose_Bay	Atlantic - Labrador (most areas)
+CA	+4734-05243	America/St_Johns	-	Newfoundland; Labrador (southeast)
+CA	+4439-06336	America/Halifax	-	Atlantic - NS (most areas); PE
+CA	+4612-05957	America/Glace_Bay	-	Atlantic - NS (Cape Breton)
+CA	+4606-06447	America/Moncton	-	Atlantic - New Brunswick
+CA	+5320-06025	America/Goose_Bay	-	Atlantic - Labrador (most areas)
 CA	+5125-05707	America/Blanc-Sablon	AST - QC (Lower North Shore)
-CA	+4339-07923	America/Toronto	Eastern - ON, QC (most areas)
-CA	+4901-08816	America/Nipigon	Eastern - ON, QC (no DST 1967-73)
-CA	+4823-08915	America/Thunder_Bay	Eastern - ON (Thunder Bay)
-CA	+6344-06828	America/Iqaluit	Eastern - NU (most east areas)
-CA	+6608-06544	America/Pangnirtung	Eastern - NU (Pangnirtung)
-CA	+484531-0913718	America/Atikokan	EST - ON (Atikokan); NU (Coral H)
-CA	+4953-09709	America/Winnipeg	Central - ON (west); Manitoba
-CA	+4843-09434	America/Rainy_River	Central - ON (Rainy R, Ft Frances)
-CA	+744144-0944945	America/Resolute	Central - NU (Resolute)
-CA	+624900-0920459	America/Rankin_Inlet	Central - NU (central)
-CA	+5024-10439	America/Regina	CST - SK (most areas)
-CA	+5017-10750	America/Swift_Current	CST - SK (midwest)
-CA	+5333-11328	America/Edmonton	Mountain - AB; BC (E); SK (W)
-CA	+690650-1050310	America/Cambridge_Bay	Mountain - NU (west)
-CA	+6227-11421	America/Yellowknife	Mountain - NT (central)
-CA	+682059-1334300	America/Inuvik	Mountain - NT (west)
-CA	+4906-11631	America/Creston	MST - BC (Creston)
-CA	+5946-12014	America/Dawson_Creek	MST - BC (Dawson Cr, Ft St John)
-CA	+5848-12242	America/Fort_Nelson	MST - BC (Ft Nelson)
-CA	+4916-12307	America/Vancouver	Pacific - BC (most areas)
-CA	+6043-13503	America/Whitehorse	Pacific - Yukon (south)
-CA	+6404-13925	America/Dawson	Pacific - Yukon (north)
+CA	+4339-07923	America/Toronto	-	Eastern - ON, QC (most areas)
+CA	+4901-08816	America/Nipigon	-	Eastern - ON, QC (no DST 1967-73)
+CA	+4823-08915	America/Thunder_Bay	-	Eastern - ON (Thunder Bay)
+CA	+6344-06828	America/Iqaluit	-	Eastern - NU (most east areas)
+CA	+6608-06544	America/Pangnirtung	-	Eastern - NU (Pangnirtung)
+CA	+484531-0913718	America/Atikokan	-	EST - ON (Atikokan); NU (Coral H)
+CA	+4953-09709	America/Winnipeg	-	Central - ON (west); Manitoba
+CA	+4843-09434	America/Rainy_River	-	Central - ON (Rainy R, Ft Frances)
+CA	+744144-0944945	America/Resolute	-	Central - NU (Resolute)
+CA	+624900-0920459	America/Rankin_Inlet	-	Central - NU (central)
+CA	+5024-10439	America/Regina	-	CST - SK (most areas)
+CA	+5017-10750	America/Swift_Current	-	CST - SK (midwest)
+CA	+5333-11328	America/Edmonton	-	Mountain - AB; BC (E); SK (W)
+CA	+690650-1050310	America/Cambridge_Bay	-	Mountain - NU (west)
+CA	+6227-11421	America/Yellowknife	-	Mountain - NT (central)
+CA	+682059-1334300	America/Inuvik	-	Mountain - NT (west)
+CA	+4906-11631	America/Creston	-	MST - BC (Creston)
+CA	+5946-12014	America/Dawson_Creek	-	MST - BC (Dawson Cr, Ft St John)
+CA	+5848-12242	America/Fort_Nelson	-	MST - BC (Ft Nelson)
+CA	+4916-12307	America/Vancouver	-	Pacific - BC (most areas)
+CA	+6043-13503	America/Whitehorse	-	Pacific - Yukon (south)
+CA	+6404-13925	America/Dawson	-	Pacific - Yukon (north)
 CC	-1210+09655	Indian/Cocos	-
-CD	-0418+01518	Africa/Kinshasa	Dem. Rep. of Congo (west)
-CD	-1140+02728	Africa/Lubumbashi	Dem. Rep. of Congo (east)
+CD	-0418+01518	Africa/Kinshasa	-	Dem. Rep. of Congo (west)
+CD	-1140+02728	Africa/Lubumbashi	-	Dem. Rep. of Congo (east)
 CF	+0422+01835	Africa/Bangui	-
 CG	-0416+01517	Africa/Brazzaville	-
 CH	+4723+00832	Europe/Zurich	-
 CI	+0519-00402	Africa/Abidjan	-
 CK	-2114-15946	Pacific/Rarotonga	-
-CL	-3327-07040	America/Santiago	Chile (most areas)
+CL	-3327-07040	America/Santiago	-	Chile (most areas)
 CL	-2709-10926	Pacific/Easter	Chile/EasterIsland	Easter Island
 CM	+0403+00942	Africa/Douala	-
 CN	+3114+12128	Asia/Shanghai	-	Beijing Time
@@ -157,7 +161,7 @@
 CX	-1025+10543	Indian/Christmas	-
 CY	+3510+03322	Asia/Nicosia	-
 CZ	+5005+01426	Europe/Prague	-
-DE	+5230+01322	Europe/Berlin	Germany (most areas)
+DE	+5230+01322	Europe/Berlin	-	Germany (most areas)
 DE	+4742+00841	Europe/Busingen	-	Busingen
 DJ	+1136+04309	Africa/Djibouti	-
 DK	+5540+01235	Europe/Copenhagen	-
@@ -164,7 +168,7 @@
 DM	+1518-06124	America/Dominica	-
 DO	+1828-06954	America/Santo_Domingo	-
 DZ	+3647+00303	Africa/Algiers	-
-EC	-0210-07950	America/Guayaquil	Ecuador (mainland)
+EC	-0210-07950	America/Guayaquil	-	Ecuador (mainland)
 EC	-0054-08936	Pacific/Galapagos	-	Galapagos Islands
 EE	+5925+02445	Europe/Tallinn	-
 EG	+3003+03115	Africa/Cairo	Egypt
@@ -177,8 +181,8 @@
 FI	+6010+02458	Europe/Helsinki	-
 FJ	-1808+17825	Pacific/Fiji	-
 FK	-5142-05751	Atlantic/Stanley	-
-FM	+0725+15147	Pacific/Chuuk	Chuuk/Truk, Yap
-FM	+0658+15813	Pacific/Pohnpei	Pohnpei/Ponape
+FM	+0725+15147	Pacific/Chuuk	-	Chuuk/Truk, Yap
+FM	+0658+15813	Pacific/Pohnpei	-	Pohnpei/Ponape
 FM	+0519+16259	Pacific/Kosrae	-	Kosrae
 FO	+6201-00646	Atlantic/Faroe	-
 FR	+4852+00220	Europe/Paris	-
@@ -190,8 +194,8 @@
 GG	+4927-00232	Europe/Guernsey	-
 GH	+0533-00013	Africa/Accra	-
 GI	+3608-00521	Europe/Gibraltar	-
-GL	+6411-05144	America/Godthab	Greenland (most areas)
-GL	+7646-01840	America/Danmarkshavn	National Park (east coast)
+GL	+6411-05144	America/Godthab	-	Greenland (most areas)
+GL	+7646-01840	America/Danmarkshavn	-	National Park (east coast)
 GL	+7029-02158	America/Scoresbysund	Scoresbysund/Ittoqqortoormiit
 GL	+7634-06847	America/Thule	Thule/Pituffik
 GM	+1328-01639	Africa/Banjul	-
@@ -209,10 +213,10 @@
 HR	+4548+01558	Europe/Zagreb	-
 HT	+1832-07220	America/Port-au-Prince	-
 HU	+4730+01905	Europe/Budapest	-
-ID	-0610+10648	Asia/Jakarta	Java, Sumatra
-ID	-0002+10920	Asia/Pontianak	Borneo (west, central)
-ID	-0507+11924	Asia/Makassar	Borneo (east, south); Sulawesi/Celebes, Bali, Nusa Tengarra; Timor (west)
-ID	-0232+14042	Asia/Jayapura	New Guinea (West Papua / Irian Jaya); Malukus/Moluccas
+ID	-0610+10648	Asia/Jakarta	-	Java, Sumatra
+ID	-0002+10920	Asia/Pontianak	-	Borneo (west, central)
+ID	-0507+11924	Asia/Makassar	-	Borneo (east, south); Sulawesi/Celebes, Bali, Nusa Tengarra; Timor (west)
+ID	-0232+14042	Asia/Jayapura	-	New Guinea (West Papua / Irian Jaya); Malukus/Moluccas
 IE	+5320-00615	Europe/Dublin	Eire
 IL	+314650+0351326	Asia/Jerusalem	Israel
 IM	+5409-00428	Europe/Isle_of_Man	-
@@ -238,7 +242,7 @@
 KR	+3733+12658	Asia/Seoul	ROK
 KW	+2920+04759	Asia/Kuwait	-
 KY	+1918-08123	America/Cayman	-
-KZ	+4315+07657	Asia/Almaty	Kazakhstan (most areas)
+KZ	+4315+07657	Asia/Almaty	-	Kazakhstan (most areas)
 KZ	+4448+06528	Asia/Qyzylorda	Qyzylorda/Kyzylorda/Kzyl-Orda
 KZ	+5017+05710	Asia/Aqtobe	Aqtobe/Aktobe
 KZ	+4431+05016	Asia/Aqtau	Atyrau/Atirau/Gur'yev, Mangghystau/Mankistau
@@ -260,12 +264,12 @@
 ME	+4226+01916	Europe/Podgorica	-
 MF	+1804-06305	America/Marigot	-
 MG	-1855+04731	Indian/Antananarivo	-
-MH	+0709+17112	Pacific/Majuro	Marshall Islands (most areas)
+MH	+0709+17112	Pacific/Majuro	-	Marshall Islands (most areas)
 MH	+0905+16720	Pacific/Kwajalein	-	Kwajalein
 MK	+4159+02126	Europe/Skopje	-
 ML	+1239-00800	Africa/Bamako	-
 MM	+1647+09610	Asia/Rangoon	-
-MN	+4755+10653	Asia/Ulaanbaatar	Mongolia (most areas)
+MN	+4755+10653	Asia/Ulaanbaatar	-	Mongolia (most areas)
 MN	+4801+09139	Asia/Hovd	-	Bayan-Olgiy, Govi-Altai, Hovd, Uvs, Zavkhan
 MN	+4804+11430	Asia/Choibalsan	-	Dornod, Sukhbaatar
 MO	+2214+11335	Asia/Macau	Asia/Macao
@@ -277,19 +281,19 @@
 MU	-2010+05730	Indian/Mauritius	-
 MV	+0410+07330	Indian/Maldives	-
 MW	-1547+03500	Africa/Blantyre	-
-MX	+1924-09909	America/Mexico_City	Central Time
+MX	+1924-09909	America/Mexico_City	-	Central Time
 MX	+2105-08646	America/Cancun	-	Eastern Standard Time - Quintana Roo
 MX	+2058-08937	America/Merida	-	Central Time - Campeche, Yucatan
-MX	+2540-10019	America/Monterrey	Central Time - Durango; Coahuila, Nuevo Leon, Tamaulipas (most areas)
-MX	+2550-09730	America/Matamoros	Central Time US - Coahuila, Nuevo Leon, Tamaulipas (US border)
-MX	+2313-10625	America/Mazatlan	Mountain Time - Baja California Sur, Nayarit, Sinaloa
-MX	+2838-10605	America/Chihuahua	Mountain Time - Chihuahua (most areas)
-MX	+2934-10425	America/Ojinaga	Mountain Time US - Chihuahua (US border)
+MX	+2540-10019	America/Monterrey	-	Central Time - Durango; Coahuila, Nuevo Leon, Tamaulipas (most areas)
+MX	+2550-09730	America/Matamoros	-	Central Time US - Coahuila, Nuevo Leon, Tamaulipas (US border)
+MX	+2313-10625	America/Mazatlan	-	Mountain Time - Baja California Sur, Nayarit, Sinaloa
+MX	+2838-10605	America/Chihuahua	-	Mountain Time - Chihuahua (most areas)
+MX	+2934-10425	America/Ojinaga	-	Mountain Time US - Chihuahua (US border)
 MX	+2904-11058	America/Hermosillo	-	Mountain Standard Time - Sonora
-MX	+3232-11701	America/Tijuana	Pacific Time US - Baja California
-MX	+2048-10515	America/Bahia_Banderas	Central Time - Bahia de Banderas
-MY	+0310+10142	Asia/Kuala_Lumpur	Malaysia (peninsula)
-MY	+0133+11020	Asia/Kuching	Sabah, Sarawak
+MX	+3232-11701	America/Tijuana	-	Pacific Time US - Baja California
+MX	+2048-10515	America/Bahia_Banderas	-	Central Time - Bahia de Banderas
+MY	+0310+10142	Asia/Kuala_Lumpur	-	Malaysia (peninsula)
+MY	+0133+11020	Asia/Kuching	-	Sabah, Sarawak
 MZ	-2558+03235	Africa/Maputo	-
 NA	-2234+01706	Africa/Windhoek	-
 NC	-2216+16627	Pacific/Noumea	-
@@ -302,7 +306,7 @@
 NP	+2743+08519	Asia/Kathmandu	-
 NR	-0031+16655	Pacific/Nauru	-
 NU	-1901-16955	Pacific/Niue	-
-NZ	-3652+17446	Pacific/Auckland	New Zealand (most areas)
+NZ	-3652+17446	Pacific/Auckland	-	New Zealand (most areas)
 NZ	-4357-17633	Pacific/Chatham	-	Chatham Islands
 OM	+2336+05835	Asia/Muscat	-
 PA	+0858-07932	America/Panama	-
@@ -310,7 +314,7 @@
 PF	-1732-14934	Pacific/Tahiti	-	Society Islands
 PF	-0900-13930	Pacific/Marquesas	-	Marquesas Islands
 PF	-2308-13457	Pacific/Gambier	-	Gambier Islands
-PG	-0930+14710	Pacific/Port_Moresby	Papua New Guinea (most areas)
+PG	-0930+14710	Pacific/Port_Moresby	-	Papua New Guinea (most areas)
 PG	-0613+15534	Pacific/Bougainville	-	Bougainville
 PH	+1435+12100	Asia/Manila	-
 PK	+2452+06703	Asia/Karachi	-
@@ -320,7 +324,7 @@
 PR	+182806-0660622	America/Puerto_Rico	-
 PS	+3130+03428	Asia/Gaza	-	Gaza Strip
 PS	+313200+0350542	Asia/Hebron	-	West Bank
-PT	+3843-00908	Europe/Lisbon	Portugal (mainland)
+PT	+3843-00908	Europe/Lisbon	-	Portugal (mainland)
 PT	+3238-01654	Atlantic/Madeira	-	Madeira Islands
 PT	+3744-02540	Atlantic/Azores	-	Azores
 PW	+0720+13429	Pacific/Palau	-
@@ -329,30 +333,30 @@
 RE	-2052+05528	Indian/Reunion	-
 RO	+4426+02606	Europe/Bucharest	-
 RS	+4450+02030	Europe/Belgrade	-
-RU	+5443+02030	Europe/Kaliningrad	MSK-01 - Kaliningrad
-RU	+554521+0373704	Europe/Moscow	MSK+00 - Moscow area
-RU	+4457+03406	Europe/Simferopol	MSK+00 - Crimea
-RU	+4844+04425	Europe/Volgograd	MSK+00 - Volgograd, Kirov, Saratov
-RU	+4621+04803	Europe/Astrakhan	MSK+01 - Astrakhan
-RU	+5312+05009	Europe/Samara	MSK+01 - Samara, Udmurtia
-RU	+5420+04824	Europe/Ulyanovsk	MSK+01 - Ulyanovsk
-RU	+5651+06036	Asia/Yekaterinburg	MSK+02 - Urals
-RU	+5500+07324	Asia/Omsk	MSK+03 - Omsk
-RU	+5502+08255	Asia/Novosibirsk	MSK+03 - Novosibirsk, Tomsk
-RU	+5322+08345	Asia/Barnaul	MSK+04 - Altai
-RU	+5345+08707	Asia/Novokuznetsk	MSK+04 - Kemerovo
-RU	+5601+09250	Asia/Krasnoyarsk	MSK+04 - Krasnoyarsk area
-RU	+5216+10420	Asia/Irkutsk	MSK+05 - Irkutsk, Buryatia
-RU	+5203+11328	Asia/Chita	MSK+06 - Zabaykalsky
-RU	+6200+12940	Asia/Yakutsk	MSK+06 - Lena River
-RU	+623923+1353314	Asia/Khandyga	MSK+06 - Tomponsky, Ust-Maysky
-RU	+4310+13156	Asia/Vladivostok	MSK+07 - Amur River
-RU	+643337+1431336	Asia/Ust-Nera	MSK+07 - Oymyakonsky
-RU	+5934+15048	Asia/Magadan	MSK+07 - Magadan
-RU	+4658+14242	Asia/Sakhalin	MSK+08 - Sakhalin Island
-RU	+6728+15343	Asia/Srednekolymsk	MSK+08 - Sakha (E); North Kuril Is
-RU	+5301+15839	Asia/Kamchatka	MSK+09 - Kamchatka
-RU	+6445+17729	Asia/Anadyr	MSK+09 - Bering Sea
+RU	+5443+02030	Europe/Kaliningrad	-	MSK-01 - Kaliningrad
+RU	+554521+0373704	Europe/Moscow	-	MSK+00 - Moscow area
+RU	+4457+03406	Europe/Simferopol	-	MSK+00 - Crimea
+RU	+4844+04425	Europe/Volgograd	-	MSK+00 - Volgograd, Kirov, Saratov
+RU	+4621+04803	Europe/Astrakhan	-	MSK+01 - Astrakhan
+RU	+5312+05009	Europe/Samara	-	MSK+01 - Samara, Udmurtia
+RU	+5420+04824	Europe/Ulyanovsk	-	MSK+01 - Ulyanovsk
+RU	+5651+06036	Asia/Yekaterinburg	-	MSK+02 - Urals
+RU	+5500+07324	Asia/Omsk	-	MSK+03 - Omsk
+RU	+5502+08255	Asia/Novosibirsk	-	MSK+03 - Novosibirsk, Tomsk
+RU	+5322+08345	Asia/Barnaul	-	MSK+04 - Altai
+RU	+5345+08707	Asia/Novokuznetsk	-	MSK+04 - Kemerovo
+RU	+5601+09250	Asia/Krasnoyarsk	-	MSK+04 - Krasnoyarsk area
+RU	+5216+10420	Asia/Irkutsk	-	MSK+05 - Irkutsk, Buryatia
+RU	+5203+11328	Asia/Chita	-	MSK+06 - Zabaykalsky
+RU	+6200+12940	Asia/Yakutsk	-	MSK+06 - Lena River
+RU	+623923+1353314	Asia/Khandyga	-	MSK+06 - Tomponsky, Ust-Maysky
+RU	+4310+13156	Asia/Vladivostok	-	MSK+07 - Amur River
+RU	+643337+1431336	Asia/Ust-Nera	-	MSK+07 - Oymyakonsky
+RU	+5934+15048	Asia/Magadan	-	MSK+07 - Magadan
+RU	+4658+14242	Asia/Sakhalin	-	MSK+08 - Sakhalin Island
+RU	+6728+15343	Asia/Srednekolymsk	-	MSK+08 - Sakha (E); North Kuril Is
+RU	+5301+15839	Asia/Kamchatka	-	MSK+09 - Kamchatka
+RU	+6445+17729	Asia/Anadyr	-	MSK+09 - Bering Sea
 RW	-0157+03004	Africa/Kigali	-
 SA	+2438+04643	Asia/Riyadh	-
 SB	-0932+16012	Pacific/Guadalcanal	-
@@ -391,45 +395,45 @@
 TV	-0831+17913	Pacific/Funafuti	-
 TW	+2503+12130	Asia/Taipei	-
 TZ	-0648+03917	Africa/Dar_es_Salaam	-
-UA	+5026+03031	Europe/Kiev	Ukraine (most areas)
+UA	+5026+03031	Europe/Kiev	-	Ukraine (most areas)
 UA	+4837+02218	Europe/Uzhgorod	-	Ruthenia
-UA	+4750+03510	Europe/Zaporozhye	Zaporozh'ye/Zaporizhia; Lugansk/Luhansk (east)
+UA	+4750+03510	Europe/Zaporozhye	-	Zaporozh'ye/Zaporizhia; Lugansk/Luhansk (east)
 UG	+0019+03225	Africa/Kampala	-
 UM	+1645-16931	Pacific/Johnston	-	Johnston Atoll
 UM	+2813-17722	Pacific/Midway	-	Midway Islands
 UM	+1917+16637	Pacific/Wake	-	Wake Island
-US	+404251-0740023	America/New_York	Eastern (most areas)
-US	+421953-0830245	America/Detroit	Eastern - MI (most areas)
-US	+381515-0854534	America/Kentucky/Louisville	Eastern - KY (Louisville area)
-US	+364947-0845057	America/Kentucky/Monticello	Eastern - KY (Wayne)
-US	+394606-0860929	America/Indiana/Indianapolis	Eastern - IN (most areas)
-US	+384038-0873143	America/Indiana/Vincennes	Eastern - IN (Da, Du, K, Mn)
-US	+410305-0863611	America/Indiana/Winamac	Eastern - IN (Pulaski)
-US	+382232-0862041	America/Indiana/Marengo	Eastern - IN (Crawford)
-US	+382931-0871643	America/Indiana/Petersburg	Eastern - IN (Pike)
-US	+384452-0850402	America/Indiana/Vevay	Eastern - IN (Switzerland)
-US	+415100-0873900	America/Chicago	Central (most areas)
-US	+375711-0864541	America/Indiana/Tell_City	Central - IN (Perry)
-US	+411745-0863730	America/Indiana/Knox	Central - IN (Starke)
-US	+450628-0873651	America/Menominee	Central - MI (Wisconsin border)
-US	+470659-1011757	America/North_Dakota/Center	Central - ND (Oliver)
-US	+465042-1012439	America/North_Dakota/New_Salem	Central - ND (Morton rural)
-US	+471551-1014640	America/North_Dakota/Beulah	Central - ND (Mercer)
-US	+394421-1045903	America/Denver	Mountain (most areas)
-US	+433649-1161209	America/Boise	Mountain - ID (south); OR (east)
-US	+332654-1120424	America/Phoenix	MST - Arizona (except Navajo)
-US	+340308-1181434	America/Los_Angeles	Pacific
-US	+611305-1495401	America/Anchorage	Alaska (most areas)
-US	+581807-1342511	America/Juneau	Alaska - Juneau area
-US	+571035-1351807	America/Sitka	Alaska - Sitka area
-US	+550737-1313435	America/Metlakatla	Alaska - Annette Island
-US	+593249-1394338	America/Yakutat	Alaska - Yakutat
-US	+643004-1652423	America/Nome	Alaska (west)
-US	+515248-1763929	America/Adak	US/Aleutian	Aleutian Islands
+US	+404251-0740023	America/New_York	-	Eastern (most areas)
+US	+421953-0830245	America/Detroit	-	Eastern - MI (most areas)
+US	+381515-0854534	America/Kentucky/Louisville	-	Eastern - KY (Louisville area)
+US	+364947-0845057	America/Kentucky/Monticello	-	Eastern - KY (Wayne)
+US	+394606-0860929	America/Indiana/Indianapolis	-	Eastern - IN (most areas)
+US	+384038-0873143	America/Indiana/Vincennes	-	Eastern - IN (Da, Du, K, Mn)
+US	+410305-0863611	America/Indiana/Winamac	-	Eastern - IN (Pulaski)
+US	+382232-0862041	America/Indiana/Marengo	-	Eastern - IN (Crawford)
+US	+382931-0871643	America/Indiana/Petersburg	-	Eastern - IN (Pike)
+US	+384452-0850402	America/Indiana/Vevay	-	Eastern - IN (Switzerland)
+US	+415100-0873900	America/Chicago	-	Central (most areas)
+US	+375711-0864541	America/Indiana/Tell_City	-	Central - IN (Perry)
+US	+411745-0863730	America/Indiana/Knox	-	Central - IN (Starke)
+US	+450628-0873651	America/Menominee	-	Central - MI (Wisconsin border)
+US	+470659-1011757	America/North_Dakota/Center	-	Central - ND (Oliver)
+US	+465042-1012439	America/North_Dakota/New_Salem	-	Central - ND (Morton rural)
+US	+471551-1014640	America/North_Dakota/Beulah	-	Central - ND (Mercer)
+US	+394421-1045903	America/Denver	-	Mountain (most areas)
+US	+433649-1161209	America/Boise	-	Mountain - ID (south); OR (east)
+US	+332654-1120424	America/Phoenix	-	MST - Arizona (except Navajo)
+US	+340308-1181434	America/Los_Angeles	-	Pacific
+US	+611305-1495401	America/Anchorage	-	Alaska (most areas)
+US	+581807-1342511	America/Juneau	-	Alaska - Juneau area
+US	+571035-1351807	America/Sitka	-	Alaska - Sitka area
+US	+550737-1313435	America/Metlakatla	-	Alaska - Annette Island
+US	+593249-1394338	America/Yakutat	-	Alaska - Yakutat
+US	+643004-1652423	America/Nome	-	Alaska (west)
+US	+515248-1763929	America/Adak	US/Aleutian	-	Aleutian Islands
 US	+211825-1575130	Pacific/Honolulu	US/Hawaii	Hawaii
 UY	-3453-05611	America/Montevideo	-
-UZ	+3940+06648	Asia/Samarkand	Uzbekistan (west)
-UZ	+4120+06918	Asia/Tashkent	Uzbekistan (east)
+UZ	+3940+06648	Asia/Samarkand	-	Uzbekistan (west)
+UZ	+4120+06918	Asia/Tashkent	-	Uzbekistan (east)
 VA	+415408+0122711	Europe/Vatican	-
 VC	+1309-06114	America/St_Vincent	-
 VE	+1030-06656	America/Caracas	-
